[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'contnrs' (#fcl)

# TFPHashList.HashOfIndex

Return the hash valye of an item by index

## Declaration

Source position: contnrs.pp line 236

`public function TFPHashList.HashOfIndex(`
`Index: Integer`
`):LongWord;`

## Arguments

`Index` |  | Index of item for which to return hash value

## Function result

Hash value of item Index

## Description

HashOfIndex returns the hash value of the item at position Index.

## Errors

If Index is out of the valid range, an exception is raised.

## See also

TFPHashList.HashOfName
TFPHashList.Find |  | Find data associated with key
TFPHashList.FindIndexOf |  | Return index of named item.
TFPHashList.FindWithHash |  | Find first element with given name and hash value

Documentation generated on: Feb 26 2014